/**
 * JASMINe VMMapi: JASMINe Virtual Machine Management API
 * Copyright (C) 2009 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AgentCommon.java 3177 2009-03-20 13:30:34Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.vmm.agent.main;

import javax.management.MBeanServer;
import javax.management.MBeanServerFactory;

/**
 * AgentCommon provides access to the VMM agent MBeanServer singleton and to
 * various agent-wide services.
 */
public class AgentCommon {
    protected static MBeanServer mbs;

    protected AgentCommon() {
        mbs = MBeanServerFactory.createMBeanServer();
    }

    /**
     * Returns the agent's MBeanServer
     *
     * @return the agent's MBeanServer
     */
    public static MBeanServer getMBeanServer() {
        return mbs;
    }
}
